---
search:
  tags:
    - Warehouses
    - GET
seo:
  description: >-
    Retrieves all warehouses associated with the specified… Reference for the
    GET /api/v1/{team_slug}/{app_slug}/warehouses endpoint in the Management
    API.
sidebar:
  label: List all warehouses
  badge: GET
title: List all warehouses
type: openapi-operation
---
Retrieves all warehouses associated with the specified application, including their addresses and linked markets.

`GET /api/v1/{team_slug}/{app_slug}/warehouses`

**Responses**

- `200` — Warehouse data list
- `400` — Invalid request (e.g. bad UUID, validation error)
- `401` — Unauthorized access
- `500` — Internal server error

Response example, 200:

```json
{
  "data": [
    {
      "address": {
        "city": "string",
        "country": "string",
        "postal_code": "string",
        "state": "string",
        "street_address": "string"
      },
      "app_id": "string",
      "available_online": true,
      "created_at": "string",
      "id": "string",
      "markets": [
        {
          "active": true,
          "country_codes": [
            "string"
          ],
          "created_at": "string",
          "currency_code": "string",
          "id": "string",
          "locale": "string",
          "name": "string",
          "slug": "string",
          "updated_at": "string"
        }
      ],
      "name": "string",
      "slug": "string",
      "updated_at": "string"
    }
  ],
  "success": true,
  "total": 0,
  "total_pages": 0
}
```
